//
//  MyScene.swift
//  ArkitDoushiQi
//
//  Created by Enzo JOLYS on 27/05/2024.
//

import Foundation
import SpriteKit
import DouShouQiModel

class GameScene: SKScene {
    let imageBoard: SKSpriteNode = SKSpriteNode(imageNamed: "board")
    var player1Name: String
    var player1Image: UIImage
    var player2Name: String
    var player2Image: UIImage
    
    var pieces: [Owner: [SpriteMoople]] = [
        .player1: [SpriteMoople(nameImage: "catMeeple", couleur: .red),
                   SpriteMoople(nameImage: "dogMeeple", couleur: .red),
                   SpriteMoople(nameImage: "leopardMeeple", couleur: .red),
                   SpriteMoople(nameImage: "lionMeeple", couleur: .red),
                   SpriteMoople(nameImage: "ratMeeple", couleur: .red),
                   SpriteMoople(nameImage: "wolfMeeple", couleur: .red)],
        .player2: [SpriteMoople(nameImage: "catMeeple", couleur: .blue),
                   SpriteMoople(nameImage: "dogMeeple", couleur: .blue),
                   SpriteMoople(nameImage: "leopardMeeple", couleur: .blue),
                   SpriteMoople(nameImage: "lionMeeple", couleur: .blue),
                   SpriteMoople(nameImage: "ratMeeple", couleur: .blue),
                   SpriteMoople(nameImage: "wolfMeeple", couleur: .blue)]
    ]
    
    init(size: CGSize, player1Name: String, player1Image: UIImage, player2Name: String, player2Image: UIImage) {
        self.player1Name = player1Name
        self.player1Image = player1Image
        self.player2Name = player2Name
        self.player2Image = player2Image
        super.init(size: size)
        
        scaleMode = .aspectFit
        anchorPoint = CGPoint(x: 0.5, y: 0.5)
        self.addChild(imageBoard)
        
        for piece in pieces.flatMap({ $0.value }) {
            self.addChild(piece)
        }
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
