//
//  GameView.swift
//  ArkitDoushiQi
//
//  Created by Enzo JOLYS on 27/05/2024.
//

import SwiftUI
import SpriteKit

struct GameView: View {
    var player1Name: String
    var player1Image: UIImage
    var player2Name: String
    var player2Image: UIImage
    
    var body: some View {
        ZStack {
            SpriteView(scene: GameScene(size: CGSize(width: 940, height: 740), player1Name: player1Name, player1Image: player1Image, player2Name: player2Name, player2Image: player2Image))
                .edgesIgnoringSafeArea(.all)
            
            VStack {
                HStack {
                    VStack {
                        Image(uiImage: player1Image)
                            .resizable()
                            .aspectRatio(contentMode: .fill) // Assure que l'image remplit le cercle
                            .frame(width: 125, height: 125)
                            .clipShape(Circle())
                            .overlay(Circle().stroke(Color.red, lineWidth: 2))
                        
                        Text(player1Name)
                            .font(.headline)
                            .foregroundColor(.white)
                    }
                    Spacer()
                    VStack {
                        Image(uiImage: player2Image)
                            .resizable()
                            .aspectRatio(contentMode: .fill) // Assure que l'image remplit le cercle
                            .frame(width: 125, height: 125)
                            .clipShape(Circle())
                            .overlay(Circle().stroke(Color.blue, lineWidth: 2))
                        
                        Text(player2Name)
                            .font(.headline)
                            .foregroundColor(.white)
                    }
                }
                .padding()
                Spacer()
            }
        }
    }
}

struct GameView_Previews: PreviewProvider {
    static var previews: some View {
        GameView(player1Name: "Player 1", player1Image: UIImage(named: "profil")!, player2Name: "Player 2", player2Image: UIImage(named: "profil")!)
    }
}
